import { OnInit, AfterViewInit, OnChanges, SimpleChanges, EventEmitter, OnDestroy, ElementRef, QueryList } from '@angular/core';
import { DataService } from './services/DataService';
import { ICalendarSettings } from '../common/ICalendarSettings';
import '@progress/kendo-ui';
export declare class SPXCalendarComponent implements OnInit, OnChanges, OnDestroy, AfterViewInit {
    private _dataService;
    error: string;
    token: number;
    SchedulerID: string;
    GanttID: string;
    inEditMode: boolean;
    inSitePage: boolean;
    showSetting: boolean;
    ganttView: boolean;
    showLoading: boolean;
    role: number;
    showSettingsImage: boolean;
    isShared: boolean;
    view: string;
    siteCollUrl: string;
    settings: ICalendarSettings;
    private copiedSettings;
    settingsChange: EventEmitter<ICalendarSettings>;
    settingsEditable: boolean;
    schedulerEl: ElementRef;
    schedulerGroup: QueryList<ElementRef>;
    constructor(_dataService: DataService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    uiInit(): void;
    addMethods(): void;
    private initializeCalendar();
    private initializeGantt();
    exportCalToPDF(): boolean;
    exportCalToImage(): boolean;
    exportCalToSVG(): boolean;
    private getDataWithSchema(schema);
    toggleGantt(): boolean;
    private getData(schema, startDate, currentView);
    private showLegend(schema);
    private bindDatatoControl(items);
    private getStartDate();
    private getCurrentView();
    toggleSettings(): void;
    displayLayover(url: string): void;
    private refreshGantt(items);
    private refreshScheduler(items);
    showGear(): void;
    hideGear(): void;
    settingsFromComponent(schema: ICalendarSettings): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
}
